LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices



Reply
 
Search this Thread
Old 02-05-2014, 06:15 PM   #1
yars
Member
 
Registered: Apr 2012
Location: Russia
Distribution: Slackware
Posts: 137

Rep: Reputation: 13
ImageMagick-6.8.6-10 does have a broken headers, or I'm wrong?


Hello all, I'm trying to compile latest Photoqt package from SlackBuilds, and I have this when I run cmake:
Code:
In file included from /tmp/builds/photoqt/photoqt-stable/thumbnails/../graphics/imagereader.h:13:0,
                 from /tmp/builds/photoqt/photoqt-stable/thumbnails/threadforthumbnails.h:12,
                 from /tmp/builds/photoqt/photoqt-stable/thumbnails/thumbnails.h:7,
                 from /tmp/builds/photoqt/photoqt-stable/mainwindow.h:10,
                 from /tmp/builds/photoqt/photoqt-stable/main.cpp:25:
/usr/include/ImageMagick-6/Magick++/Image.h:11:30: fatal error: Magick++/Include.h: No such file or directory
I have installed ImageMagick-6.8.6-10, and I'm running Slackware 14.1.
In a /usr/include/ImageMagick-6/Magick++ the file Include.h is exists, but Image.h is contains this:
Code:
#include "Magick++/Include.h"
#include <string>
#include <list>
#include "Magick++/Blob.h"
#include "Magick++/Color.h"
#include "Magick++/Drawable.h"
#include "Magick++/Exception.h"
#include "Magick++/Geometry.h"
#include "Magick++/TypeMetric.h"
It should be a:
Code:
#include "Include.h"
#include <string>
#include <list>
#include "Blob.h"
#include "Color.h"
#include "Drawable.h"
#include "Exception.h"
#include "Geometry.h"
#include "TypeMetric.h"
Or I'm mistaken? Thanks.

Last edited by yars; 02-05-2014 at 06:59 PM. Reason: typo
 
Old 02-05-2014, 06:58 PM   #2
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 2,638

Rep: Reputation: 451Reputation: 451Reputation: 451Reputation: 451Reputation: 451
Works fine here on x86_64 VM
perhaps you have a broken ImageMagick
 
Old 02-05-2014, 07:29 PM   #3
55020
Member
 
Registered: Sep 2009
Location: Yorks. W.R. 167397
Distribution: Slackware
Posts: 438
Blog Entries: 4

Rep: Reputation: 439Reputation: 439Reputation: 439Reputation: 439Reputation: 439
The current version of photoqt at SBo for Slackware 14.1 is photoqt-1.0. That version uses GraphicsMagick (which you can get from SBo), not ImageMagick. In fact photoqt-1.0 does not detect ImageMagick and does not attempt to build with it.

I suspect you probably used one of the Slackware links on the photoqt downloads page. One of them is the old 14.0 SlackBuild for photoqt-0.91. The other one is not an official SBo SlackBuild. Don't use those. Get the up-to-date SlackBuilds directly from SBo:
http://slackbuilds.org/repository/14...raphicsMagick/ and
http://slackbuilds.org/repository/14...phics/photoqt/

... and don't forget the README for the photoqt SlackBuild, which explains that you will need the option GM=ON to build photoqt with GraphicsMagick support.

Last edited by 55020; 02-05-2014 at 07:36 PM.
 
1 members found this post helpful.
Old 02-05-2014, 07:38 PM   #4
yars
Member
 
Registered: Apr 2012
Location: Russia
Distribution: Slackware
Posts: 137

Original Poster
Rep: Reputation: 13
willysr, thanks for ansver, but I have "normal" ImageMagick package.
55020, thanks also I will try to build photoqt as you said.
UPD: I'll currently tried with disabled GraphicsMagick.
Thanks!

Last edited by yars; 02-05-2014 at 07:45 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Wrong kernel headers dcroxton Ubuntu 6 11-22-2011 06:24 PM
[SOLVED] rss-glx-0.9.1-i486-1alien broken by imagemagick upgrade in -current jamesf Slackware 5 01-04-2011 08:09 AM
Zypper wants to dl the wrong kernel headers... YaST doesnt have current headers zorb Suse/Novell 2 11-28-2009 12:12 PM
debian (Etch) PDFs broken / elongated / in ImageMagick / Acrobat Reader stu7 Debian 3 10-28-2008 08:45 AM
broken X headers in security patch from 2007-03-07? cab15625 Slackware 6 04-12-2007 10:07 AM


All times are GMT -5. The time now is 01:14 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration